Assegnate 4 su 5 stelle

Is it really not compatible anymore with Firefox 3.6.* ?